Status: Closed Priority: Should have
Author: Robert Lemke Category: Setup
Created: 2012-08-31 Assigned To:
Updated: 2012-10-04 Due date:
Subject: As a user I want to get instructions how to fix file permissions on the first run
Description

When Phoenix is downloaded / cloned from git and run without running the setfilepermissions command, the first hit will fail in most
cases because the Data/* directory and others can't be created. Instead of displaying a hint on how to proceed, the raw PHP error
messages slips through (see screenshot).

dod:

    -  catch error messages resulting from insufficient file permissions on first run
    -  display message which gives instructions on how to run the setfilepermissions command

Even better (if possible):

    -  redirect to setup tool
    -  provide instructions for setting file permissions
    -  check (through AJAX) if that worked out and proceed automatically if file permissions are fine

Subtasks:
Task # 40582: TEST Closed

History
#1 - 2012-09-04 10:46 - Robert Lemke
- Target version set to Sprint 10 (1.0 TP1)
- Position set to 1

#2 - 2012-09-07 09:21 - Sebastian Kurfuerst
- Status changed from New to Resolved
- Position deleted (6)
- Position set to 6

#3 - 2012-09-07 09:21 - Sebastian Kurfuerst
- Position deleted (6)
- Position set to 15

#4 - 2012-10-04 16:02 - Markus Goldbeck
- Status changed from Resolved to Closed
